## ros-galactic-moveit-msgs 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(moveit_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Disable Wredundant-decls warnings since rosidl generates redundant function
#  declarations
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS 
    "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-redundant-decls")
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(action_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(shape_msgs REQUIRED)
find_package(object_recognition_msgs REQUIRED)
find_package(octomap_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)


set(msg_files
  "msg/AllowedCollisionEntry.msg"
  "msg/AllowedCollisionMatrix.msg"
  "msg/AttachedCollisionObject.msg"
  "msg/BoundingVolume.msg"
  "msg/CartesianPoint.msg"
  "msg/CartesianTrajectory.msg"
  "msg/CartesianTrajectoryPoint.msg"
  "msg/CollisionObject.msg"
  "msg/ConstraintEvalResult.msg"
  "msg/Constraints.msg"
  "msg/CostSource.msg"
  "msg/ContactInformation.msg"
  "msg/DisplayTrajectory.msg"
  "msg/DisplayRobotState.msg"
  "msg/GenericTrajectory.msg"
  "msg/Grasp.msg"
  "msg/GripperTranslation.msg"
  "msg/JointConstraint.msg"
  "msg/JointLimits.msg"
  "msg/LinkPadding.msg"
  "msg/LinkScale.msg"
  "msg/MotionPlanRequest.msg"
  "msg/MotionPlanResponse.msg"
  "msg/MotionPlanDetailedResponse.msg"
  "msg/MotionSequenceItem.msg"
  "msg/MotionSequenceRequest.msg"
  "msg/MotionSequenceResponse.msg"
  "msg/MoveItErrorCodes.msg"
  "msg/TrajectoryConstraints.msg"
  "msg/ObjectColor.msg"
  "msg/OrientationConstraint.msg"
  "msg/OrientedBoundingBox.msg"
  "msg/PlaceLocation.msg"
  "msg/PlannerInterfaceDescription.msg"
  "msg/PlannerParams.msg"
  "msg/PlanningScene.msg"
  "msg/PlanningSceneComponents.msg"
  "msg/PlanningSceneWorld.msg"
  "msg/PlanningOptions.msg"
  "msg/PositionConstraint.msg"
  "msg/RobotState.msg"
  "msg/RobotTrajectory.msg"
  "msg/VisibilityConstraint.msg"
  "msg/WorkspaceParameters.msg"
  "msg/KinematicSolverInfo.msg"
  "msg/PositionIKRequest.msg"
)

set(srv_files
  "srv/GetMotionPlan.srv"
  "srv/ExecuteKnownTrajectory.srv"
  "srv/GetStateValidity.srv"
  "srv/GetCartesianPath.srv"
  "srv/GetPlanningScene.srv"
  "srv/GraspPlanning.srv"
  "srv/ApplyPlanningScene.srv"
  "srv/QueryPlannerInterfaces.srv"
  "srv/GetMotionSequence.srv"
  "srv/GetPositionFK.srv"
  "srv/GetPositionIK.srv"
  "srv/GetPlannerParams.srv"
  "srv/SetPlannerParams.srv"
  "srv/UpdatePointcloudOctomap.srv"
  "srv/SaveMap.srv"
  "srv/LoadMap.srv"
  "srv/SaveRobotStateToWarehouse.srv"
  "srv/ListRobotStatesInWarehouse.srv"
  "srv/GetRobotStateFromWarehouse.srv"
  "srv/CheckIfRobotStateExistsInWarehouse.srv"
  "srv/RenameRobotStateInWarehouse.srv"
  "srv/DeleteRobotStateFromWarehouse.srv"
  "srv/ChangeControlDimensions.srv"
  "srv/ChangeDriftDimensions.srv"
)

set(action_files
  "action/ExecuteTrajectory.action"
  "action/MoveGroup.action"
  "action/MoveGroupSequence.action"
  "action/Pickup.action"
  "action/Place.action"
  "action/LocalPlanner.action"
  "action/GlobalPlanner.action"
  "action/HybridPlanner.action"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  ${action_files}
  DEPENDENCIES
    action_msgs
    builtin_interfaces
    std_msgs
    geometry_msgs
    sensor_msgs
    shape_msgs
    object_recognition_msgs
    octomap_msgs
    trajectory_msgs
)

ament_export_dependencies(rosidl_default_runtime)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-moveit-msgs (2.2.0-1focal) focal; urgency=high

  * Add hybrid planning action definitons (#135 <https://github.com/ros-planning/moveit_msgs/issues/135>)
  * Contributors: AndyZe, Sebastian Jahr, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Thu, 09 Dec 2021 21:00:00 -0000

ros-galactic-moveit-msgs (2.1.1-1focal) focal; urgency=high

  * Add jerk to JointLimits.msg (#132 <https://github.com/ros-planning/moveit_msgs/issues/132>)
  * Contributors: AndyZe

 -- Dave Coleman <dave@dav.ee>  Sun, 26 Sep 2021 21:00:00 -0000

ros-galactic-moveit-msgs (2.1.0-1focal) focal; urgency=high

  * Sync with master branch up to 460caab <https://github.com/ros-planning/moveit_msgs/commit/460caab755cfe018ad07effd7dd808127a7e5c61> (#120 <https://github.com/ros-planning/moveit_msgs/issues/120>)
  * Enable CI on Rolling, Galactic (#117 <https://github.com/ros-planning/moveit_msgs/issues/117>)
  * Pre-release testing workflow for ROS 2 (#118 <https://github.com/ros-planning/moveit_msgs/issues/118>)
  * Contributors: Jafar Abdi, Henning Kayser, Tyler Weaver, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Wed, 16 Jun 2021 21:00:00 -0000

ros-galactic-moveit-msgs (2.0.1-1focal) focal; urgency=high

  * Add License Notice (#108 <https://github.com/ros-planning/moveit_msgs/issues/108>)
  * Fix ccache in CI (#102 <https://github.com/ros-planning/moveit_msgs/issues/102>)
  * Migrate to GitHub Actions (#99 <https://github.com/ros-planning/moveit_msgs/issues/99>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Sun, 23 May 2021 21:00:00 -0000

ros-galactic-moveit-msgs (2.0.0-1focal) focal; urgency=high

  * [maint] Switch Travis to Foxy (#98 <https://github.com/ros-planning/moveit_msgs/issues/98>)
    * Remove obsolete moveit_msgs.repos
    * Enable CI test ament_lint
  * [maint] Suppress Wredundant-decls warnings (#59 <https://github.com/ros-planning/moveit_msgs/issues/59>)
  * [ros2-migration] Port moveit_msgs to ROS 2
    * Migration to ROS 2 (AcutronicRobotics/moveit_msgs#1 <https://github.com/AcutronicRobotics/moveit_msgs/issues/1>)
    * Add actions and include rosidl_default_runtime (AcutronicRobotics/moveit_msgs#2 <https://github.com/AcutronicRobotics/moveit_msgs/issues/2>, AcutronicRobotics/moveit_msgs#3 <https://github.com/AcutronicRobotics/moveit_msgs/issues/3>)
  * Contributors: Alejandro Hernández Cordero, Henning Kayser, Lander Usategui San Juan, Mike Lautman, Robert Haschke, Víctor Mayoral Vilches, Yu Yan, ibaiape

 -- Dave Coleman <dave@dav.ee>  Thu, 19 Nov 2020 21:00:00 -0000

ros-galactic-moveit-msgs (0.11.1-1focal) focal; urgency=high

  * [documentation] add disclaimer to CO about object pose not working yet (#90 <https://github.com/ros-planning/moveit_msgs/issues/90>)
  * Contributors: Michael Görner

 -- Dave Coleman <dave@dav.ee>  Thu, 08 Oct 2020 21:00:00 -0000

ros-galactic-moveit-msgs (0.11.0-1focal) focal; urgency=high

  * [feature] add {prismatic,revolute}_jump_threshold (#84 <https://github.com/ros-planning/moveit_msgs/issues/84>)
  * [feature] Add service to update pointcloud octomap (#66 <https://github.com/ros-planning/moveit_msgs/issues/66>)
  * [feature] Add messages to plan for sequences (#65 <https://github.com/ros-planning/moveit_msgs/issues/65>)
  * [feature] Change jogging drift dimensions (#63 <https://github.com/ros-planning/moveit_msgs/issues/63>)
  * [feature] Add ChangeControlDimensions.srv for moveit_jog_arm (#61 <https://github.com/ros-planning/moveit_msgs/issues/61>)
  * [feature] Ability to hide visualized robot states (#55 <https://github.com/ros-planning/moveit_msgs/issues/55>)
  * [feature] Add fields to set max Cartesian end effector speed (#80 <https://github.com/ros-planning/moveit_msgs/issues/80>)
  * [feature] Remove attempts field from PositionIKRequest.msg (#76 <https://github.com/ros-planning/moveit_msgs/issues/76>)
  * [feature] add COMMUNICATION_FAILURE (#73 <https://github.com/ros-planning/moveit_msgs/issues/73>)
  * [feature] Add origin Pose to CollisionObject (#69 <https://github.com/ros-planning/moveit_msgs/issues/69>)
  * [feature] Add field quality to PlaceLocation (#64 <https://github.com/ros-planning/moveit_msgs/issues/64>)
  * [feature] Extend MotionPlanRequest with seed trajectories (#46 <https://github.com/ros-planning/moveit_msgs/issues/46>)
  * [feature] Allow subframes in CollisionObjects (#50 <https://github.com/ros-planning/moveit_msgs/issues/50>)
  * Contributors: 2scholz, AdamPettinger, AndyZe, Bence Magyar, Bryce Willey, Christian Henkel, Dale Koenig, Dave Coleman, Felix von Drigalski, Jens P, Markus Vieth, Michael Görner, Naoya Yamaguchi, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Tue, 18 Aug 2020 21:00:00 -0000

ros-galactic-moveit-msgs (0.10.0-1focal) focal; urgency=high

  * [capability] Add fields to store planning time in pick-and-place #43 <https://github.com/ros-planning/moveit_msgs/issues/43>
  * Contributors: Akiyoshi Ochiai

 -- Dave Coleman <dave@dav.ee>  Mon, 16 Apr 2018 21:00:00 -0000

ros-galactic-moveit-msgs (0.9.1-1focal) focal; urgency=high

  * [improve] Removed identical services per issue and unused service #4 <https://github.com/ros-planning/moveit_msgs/issues/4>
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sun, 05 Feb 2017 21:00:00 -0000

ros-galactic-moveit-msgs (0.9.0-1focal) focal; urgency=high

  * [capability] new GraspPlanning service to replace manipulation_msgs version (#32 <https://github.com/ros-planning/moveit_msgs/issues/32>)
  * [maintenance] Switch travis to moveit_ci (#31 <https://github.com/ros-planning/moveit_msgs/issues/31>)
  * [enhancement] Add note in ExecuteKnownTrajectory service to recommend ExecuteTrajectory action. #29 <https://github.com/ros-planning/moveit_msgs/issues/29>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Jntzko

 -- Dave Coleman <dave@dav.ee>  Mon, 14 Nov 2016 21:00:00 -0000

ros-galactic-moveit-msgs (0.8.3-1focal) focal; urgency=high



=== debian/control ===
Source: ros-galactic-moveit-msgs
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-action-msgs, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-cmake, ros-galactic-geometry-msgs, ros-galactic-object-recognition-msgs, ros-galactic-octomap-msgs, ros-galactic-rosidl-default-generators, ros-galactic-sensor-msgs, ros-galactic-shape-msgs, ros-galactic-std-msgs, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-action-msgs, ros-galactic-geometry-msgs, ros-galactic-object-recognition-msgs, ros-galactic-octomap-msgs, ros-galactic-rosidl-default-runtime, ros-galactic-sensor-msgs, ros-galactic-shape-msgs, ros-galactic-std-msgs, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Description: Messages, services and actions used by MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-msgs//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
